import pytest

from buildtrigger.basehandler import BuildTriggerHandler


@pytest.mark.parametrize('input,output', [
  ("Dockerfile", True),
  ("server.Dockerfile", True),
  (u"Dockerfile", True),
  (u"server.Dockerfile", True),
  ("bad file name", False),
  (u"bad file name", False),
])
def test_path_is_dockerfile(input, output):
  assert BuildTriggerHandler.path_is_dockerfile(input) == output
